[metadata]
name = pyenchant
version = 3.3.0rc1
description = Python bindings for the Enchant spellchecking system
long_description = file: README.rst
author = Dimitri Merejkowsky
author_email = d.merej@gmail.com
url = https://pyenchant.github.io/pyenchant/
project_urls = 
	Changelog=https://pyenchant.github.io/pyenchant/changelog.html
	Source=https://github.com/pyenchant/pyenchant
	Tracker=https://github.com/pyenchant/pyenchant/issues
license = LGPL
keywords = spelling spellcheck enchant
classifiers = 
	Development Status :: 5 - Production/Stable
	Intended Audience :: Developers
	License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)
	Operating System :: OS Independent
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3 :: Only
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Programming Language :: Python :: 3.11
	Programming Language :: Python :: 3.12
	Programming Language :: Python :: Implementation :: CPython
	Programming Language :: Python :: Implementation :: PyPy
	Topic :: Software Development :: Libraries
	Topic :: Text Processing :: Linguistic

[options]
packages = find:
python_requires = >=3.7
include_package_data = true

[flake8]
ignore = 
	E203
	E266
	E231
	E302
	E402
	E501
	W503
exclude = 
	enchant/checker/wxSpellCheckerDialog.py
	enchant/checker/GtkSpellCheckerDialog.py
	enchant/checker/CmdLineChecker.py

[mypy]
python_version = 3.7
files = 
	.

[mypy-gtk]
ignore_missing_imports = True

[mypy-pytest]
ignore_missing_imports = True

[mypy-setuptools]
ignore_missing_imports = True

[mypy-wx]
ignore_missing_imports = True

[egg_info]
tag_build = 
tag_date = 0

